=== debian/changelog ===
suitesparse (1:4.2.1-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Demote libatlas-doc from Recommends to Suggests, as it
      is not in main.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Dec 2013 21:42:26 -0500

suitesparse (1:4.2.1-3) unstable; urgency=low

  * Upload to unstable.
  * Register user guides for KLU, CAMD, SPQR and LDL in doc-base.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Dec 2013 22:09:21 +0100

suitesparse (1:4.2.1-2) experimental; urgency=low

  * Really fix BLAS/LAPACK dependencies of libsuitesparse-dev
    - remove obsolete ATLAS specialized libraries (Closes: #645846)
    - add virtual package libblas.so as a BLAS alternative (Closes: #645844)
  * Remove Daniel Rus Morales from Uploaders, with his consent. Thanks
    Daniel for your work!
  * d/rules: do not regenerate d/control automatically, this is
    forbidden
  * d/rules: fix get-orig-source rule
  * d/control: use canonical URLs for Vcs-* fields
  * Mark debug package as Multi-Arch: same
  * Ship libsuitesparseconfig.a in the -dev package.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Nov 2013 18:26:35 +0100

suitesparse (1:4.2.1-1) experimental; urgency=low

  * New upstream release (Closes: #706709)
    - debian/library-soname.pl: update soversion numbers
  * debian/rules: recreate d/control when d/library-sonames.pl is
    modified

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 May 2013 18:36:14 +0200

suitesparse (1:4.2.0-1) experimental; urgency=low

  [ Christophe Trophime ]
  * New upstream release (Closes: #653660, #687282)
    - Renamed UFconfig to SuiteSparse_config
    - Update patches to new release
    - debian/library-soname.pl: update soversion numbers
      
  [ Sébastien Villemot ]
  * debian/control.in:
    - fix Maintainer field (Closes: #674266, #674268, #674270, #674271, #674272,
      #674273, #674274, #674275, #674276, #674277, #674278, #674279, #674280,
      #674281)
    - add myself to Uploaders
    - remove obsolete DM-Upload-Allowed flag
  * Remove obsolete README.source
  * debian/rules: clean *.oo files
  * Bump to debhelper compat level 9
  * Update debian/copyright
  * Remove symbols files: they are useless since we bump the soversion
    at every new upstream release
  * Clean up build flags
    - make sure to inject flags from dpkg-buildflags
    - buildflags.diff: new patch to remove spurious flags in upstream build
      system
    - remove -m64 flag on amd64 CPUs (Closes: #701654)
  * Fix version in NEWS.Debian, to make lintian happy
  * parallel-build.diff: new patch, fixes parallel build
  * Multiarchify the package
  * Fix BLAS/LAPACK dependencies of libsuitesparse-dev:
    - remove obsolete ATLAS specialized libraries (Closes: #645846)
    - add libopenblas-dev as a BLAS alternative (Closes: #645844)
  * Bump to Standards-Version 3.9.4, no changes needed
  * Suitesparse_config_Makefile.diff: new patch, creates a PIC version
    of the (small) config code, for embedding in other shared libs
  * KLU_Demo_Makefile.diff: new patch, needed for creating the right
    dependencies between shared libraries
  * Create a new shared library package for SPQR (Closes: #589296)
  * Update README.Debian

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 29 Apr 2013 16:14:58 +0200

suitesparse (1:3.4.0-3ubuntu1) raring; urgency=low

  * Resynchronize on Debian, remaining change
  * Demote libatlas-doc from Recommends to Suggests, as it is not in main.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Nov 2012 13:14:34 +0100

suitesparse (1:3.4.0-3) unstable; urgency=low

  * Team upload.

  [ Sylvestre Ledru ]
  * Standard-Version updated to 3.9.3 (no changes requiered)

  [ Evgeni Golov ]
  * [f782819] Add -g to CFLAGS. (Closes: #682177)
  * [d43b31b] Honour CFLAGS in debian/patches/09-CSparse_Lib_Makefile.diff

  [ Anton Gladky ]
  * [3a0e1c1] Move repository into debian-science.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 04 Aug 2012 22:40:53 +0200

suitesparse (1:3.4.0-2) unstable; urgency=low

  * Maintainer changed to Debian Science
  * Updated list of Uploaders (Closes: #571884, #550417)
  * Standards-Version updated to version 3.8.4
  * Link against -llapackgf-3 changed to -llapack (Closes: #577879)
  * Removed doc-central recommends (Closes: #566361)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2010 10:36:16 +0200

suitesparse (1:3.4.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/patches/14-SPQR_Include_spqr_hpp.dpatch: Removed patch (applied
    upstream)

  * Split the libraries into individual packages
    + The new binary packages are (the soversion numbers are the ones
      provided by the upstream authors in the UFconfig/UFconfig.h file):
      - libamd2.2.0
      - libbtf1.1.0
      - libcamd2.2.0
      - libcolamd2.7.1
      - libccolamd2.7.1
      - libcholmod1.7.1
      - libcsparse2.2.3
      - libcxsparse2.2.3
      - libklu1.1.0
      - libldl2.0.1
      - libumfpack5.4.0
    + The libsuitesparse-dev and libsuitesparse-dbg packages remain as
      before.  They depend on all the binary packages above.
    + debian/library-soname.pl: New Perl script that is used everywhere to
      obtain the name of the package for each library.  This is the
      centralized place where this information should be provided.
    + The debian/control file has been moved into debian/control.in and is
      automatically generated by debian/rules with the appropriate names
      of the packages being replaced.
    + debian/patches/*.diff: All the patches have been adapted for
      obtaining the library soversion using the debian/library-soname.pl
      script.
    + debian/symbols/*, debian/install/*: These are the source files for
      the debian/lib*.symbols and debian/lib*.install.  The later are
      obtained from the former in debian/rules by using the appropriate

