=== debian/control ===
Source: suitesparse
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
 Sébastien Villemot <sebastien@debian.org>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 9), dh-exec, gfortran,
 libblas-dev, liblapack-dev
Standards-Version: 3.9.5
Homepage: http://www.cise.ufl.edu/research/sparse/SuiteSparse/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/suitesparse.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/suitesparse.git

Package: libamd2.3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 AMD         approximate minimum degree ordering

Package: libbtf1.2.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: permutation to block triangular form library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 BTF         permutation to block triangular form (beta)

Package: libcamd2.3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: symmetric approximate minimum degree library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 CAMD        symmetric approximate minimum degree

Package: libcolamd2.8.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: column approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 COLAMD      column approximate minimum degree ordering

Package: libccolamd2.8.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: constrained column approximate library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 COLAMD      constrained column approximate minimum degree ordering

Package: libcholmod2.1.2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse Cholesky factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 CHOLMOD     sparse Cholesky factorization

Package: libcsparse3.1.2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: concise sparse matrix library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 CSparse     a concise sparse matrix package

Package: libcxsparse3.1.2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: concise sparse matrix library (complex, int and long int support)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 CXSparse    CSparse extended: complex matrix, int and long int support

Package: libklu1.2.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: circuit simulation sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 KLU         sparse LU factorization, primarily for circuit simulation

Package: libldl2.1.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple LDL' factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 LDL         a simple LDL' factorization

Package: libumfpack5.6.2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 UMFPACK     sparse LU factorization

Package: libspqr1.3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse QR factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following dynamic library:
 .
 SPQR        sparse QR factorization library

Package: libsuitesparse-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libufsparse-dev, libsuitesparse-metis-dev, libumfpack4-dev
Conflicts: libufsparse-dev, libsuitesparse-metis-dev, libumfpack4-dev
Provides: libufsparse-dev, libumfpack4-dev
Depends: ${misc:Depends},
 libamd2.3.1 (= ${binary:Version}),
 libcamd2.3.1 (= ${binary:Version}),
 libbtf1.2.0 (= ${binary:Version}),
 libcolamd2.8.0 (= ${binary:Version}),
 libccolamd2.8.0 (= ${binary:Version}),
 libcholmod2.1.2 (= ${binary:Version}),
 libcsparse3.1.2 (= ${binary:Version}),
 libcxsparse3.1.2 (= ${binary:Version}),
 libklu1.2.1 (= ${binary:Version}),
 libldl2.1.0 (= ${binary:Version}),
 libumfpack5.6.2 (= ${binary:Version}),
 libspqr1.3.1 (= ${binary:Version}),
 libblas-dev | libblas.so,
 liblapack-dev | liblapack.so
Description: libraries for sparse matrices computations (development files)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following libraries:
 .
 AMD         approximate minimum degree ordering
 .
 CAMD        symmetric approximate minimum degree
 .
 BTF         permutation to block triangular form (beta)
 .
 COLAMD      column approximate minimum degree ordering
 .
 CCOLAMD     constrained column approximate minimum degree ordering
 .
 CHOLMOD     sparse Cholesky factorization
 .
 CSparse     a concise sparse matrix package
 .
 CXSparse    CSparse extended: complex matrix, int and long int support
 .
 KLU         sparse LU factorization, primarily for circuit simulation
 .
 LDL         a simple LDL' factorization
 .
 UMFPACK     sparse LU factorization
 .
 SPQR        sparse QR factorization
 .
 This package contains the static libraries and header files.

Package: libsuitesparse-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libamd2.3.1 (= ${binary:Version}),
 libcamd2.3.1 (= ${binary:Version}),
 libbtf1.2.0 (= ${binary:Version}),
 libcolamd2.8.0 (= ${binary:Version}),
 libccolamd2.8.0 (= ${binary:Version}),
 libcholmod2.1.2 (= ${binary:Version}),
 libcsparse3.1.2 (= ${binary:Version}),
 libcxsparse3.1.2 (= ${binary:Version}),
 libklu1.2.1 (= ${binary:Version}),
 libldl2.1.0 (= ${binary:Version}),
 libumfpack5.6.2 (= ${binary:Version}),
 libspqr1.3.1 (= ${binary:Version}),
 libblas-dev | libblas.so,
 liblapack-dev | liblapack.so
Conflicts: libufsparse-dbg
Replaces: libufsparse-dbg
Description: libraries for sparse matrices computations (debugging symbols)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following libraries:
 .
 AMD         approximate minimum degree ordering
 .
 CAMD        symmetric approximate minimum degree
 .
 BTF         permutation to block triangular form (beta)
 .
 COLAMD      column approximate minimum degree ordering
 .
 CCOLAMD     constrained column approximate minimum degree ordering
 .
 CHOLMOD     sparse Cholesky factorization
 .
 CSparse     a concise sparse matrix package
 .
 CXSparse    CSparse extended: complex matrix, int and long int support
 .
 KLU         sparse LU factorization, primarily for circuit simulation
 .
 LDL         a simple LDL' factorization
 .
 UMFPACK     sparse LU factorization
 .
 SPQR        sparse QR factorization
 .
 SuiteSparse_config    configuration file for all the above packages.
 .
 This package contains the debug libraries (stored in /usr/lib/debug).

Package: libsuitesparse-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libufsparse-doc, libumfpack4-doc
Conflicts: libufsparse-doc, libumfpack4-doc
Recommends: libblas-doc
Suggests: libatlas-doc
Description: libraries for sparse matrices computations (documentation)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package contains the user guides for the
 libraries distributed by the SuiteSparse project.
