=== debian/watch ===
version=3
http://www.cise.ufl.edu/research/sparse/SuiteSparse/SuiteSparse-([\d.]+)\.tar\.gz
